<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*  Use is subject to license terms.
-->
<HTML>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<TITLE>Add Libraries</TITLE>
<link rel="StyleSheet" href="nbdocs:/org/netbeans/modules/usersguide/ide.css" type="text/css">
</HEAD>
<BODY>

<h2>Add Libraries</h2>
<p> <small><a href="#seealso">See Also</a></small></p>
<p>Use the Add Libraries dialog to add  libraries or resources to your
  project. You can also use this dialog to Add or Remove selected  JAR and Zip files, library sources, and file folders with additional resources.</p>
<p>To  Add/Edit Libraries choose right-click the project node Properties. In the Project Properties dialog, select
    Build > Libraries
    &amp; Resources and click the Add Library button. </p>
<p><strong>To add a library:</strong></p>
<p>Select a library from the list of installed libraries and click
   Add Library.</p>
<p><strong>To edit a library:</strong></p>
<ol>
  <li>Select a library from the list of installed libraries in the Add Library dialog box and click Edit Library.<br>
    This
  opens the Library Manager, where you can edit the library. </li>
  <li>Click on one of the following tabs to edit the library's contents:</li>
<ul>
  <li>Classpath.</li>
  <li>Sources.</li>
  <li>Javadoc.</li>
</ul>
</ol>
<dl><dt><a name="seealso">See Also</a></dt>
  <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_classpath.html">Managing
        the Classpath</a></dd>
 <dd>     <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_libraries.html">About
    Java Class Libraries</a></dd>
 <dd>   <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/javadoc/javadoc_add.html">Adding Javadoc to a Project</a>
  </dd>
</dl>
<hr>
<small><a href="../getstarted/credits.html">Legal Notices</a></small>
</body>
</html>
